| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
InvalidArgumentError Class Reference

Application is passing an invalid argument. More...

`#include <Exception.hpp>`

Inheritance diagram for InvalidArgumentError:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | InvalidArgumentError (const std::string &msg)
FASTDDS_EXPORTED_API | InvalidArgumentError (const InvalidArgumentError &src)
virtual FASTDDS_EXPORTED_API | ~InvalidArgumentError () throw ()
virtual FASTDDS_EXPORTED_API const char * | what () const throw ()
| Retrieve information about the exception that was thrown.
Public Member Functions inherited from Exception
virtual FASTDDS_EXPORTED_API | ~Exception () throw () =default

## Additional Inherited Members

Protected Member Functions inherited from Exception
| Exception ()=default

## Detailed Description

Application is passing an invalid argument.

## Constructor & Destructor Documentation

## ◆ InvalidArgumentError() [1/2]

FASTDDS_EXPORTED_API InvalidArgumentError | ( | const std::string & | msg | ) |

explicit

## ◆ InvalidArgumentError() [2/2]

FASTDDS_EXPORTED_API InvalidArgumentError | ( | const InvalidArgumentError & | src | ) |

## ◆ ~InvalidArgumentError()

virtual FASTDDS_EXPORTED_API ~InvalidArgumentError | ( |  | ) |
throw | ( | ) |  |  |

virtual

## Member Function Documentation

## ◆ what()

virtual FASTDDS_EXPORTED_API const char * what | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Retrieve information about the exception that was thrown.

Returns
  Exception information.

Implements Exception.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/exception/Exception.hpp